package com.aicc.livechat_sdk_flutter;

import com.aicc.livechat_sdk_flutter.channel.CustomEventChannel;
import com.aicc.livechat_sdk_flutter.channel.CustomMethodChannel;
import com.tinet.timclientlib.utils.TLogUtils;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.EventChannel;
import io.flutter.plugin.common.MethodChannel;

/** LivechatSdkFlutterPlugin */
public class LivechatSdkFlutterPlugin implements FlutterPlugin{

  private final String MAIN_METHOD_CHANNEL_NAME = "method_channel_flutter_tos_kit";

  private final String MAIN_EVENT_CHANNEL_NAME = "event_channel_flutter_tos_kit";

  private MethodChannel mMethodChanel;
  private EventChannel mEventChannel;

  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
    TLogUtils.i("onAttachedToEngine");
    mMethodChanel = new MethodChannel(flutterPluginBinding.getBinaryMessenger(), MAIN_METHOD_CHANNEL_NAME);
    mMethodChanel.setMethodCallHandler(new CustomMethodChannel(flutterPluginBinding));
    mEventChannel = new EventChannel(flutterPluginBinding.getBinaryMessenger(), MAIN_EVENT_CHANNEL_NAME);
    mEventChannel.setStreamHandler(new CustomEventChannel(flutterPluginBinding));
  }

  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
    mMethodChanel.setMethodCallHandler(null);
    mEventChannel.setStreamHandler(null);
  }

}
