package com.aicc.livechat_sdk_flutter.activity;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.aicc.livechat_sdk_flutter.R;
import com.aicc.livechat_sdk_flutter.fragment.ChatFragment;

import androidx.annotation.Nullable;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;

public class SessionActivity extends BaseActivity implements View.OnClickListener {

    private TextView toolbarTitle;

    @Override
    protected int getLayoutId(@Nullable Bundle savedInstanceState) {
        return R.layout.activity_session;
    }

    @Override
    protected void initView() {
        toolbarTitle = findViewById(R.id.toolbar_title);
        findViewById(R.id.toolbar_back).setOnClickListener(this);

        ChatFragment chatFragment = new ChatFragment();

        // : 2022/7/21 此处通过bundle添加商品卡片数据
        Bundle bundle = getIntent().getBundleExtra("bundle");
        if (bundle != null) {
            chatFragment.setArguments(bundle);
        }
        if (getIntent().getStringExtra("title") != null) {
            toolbarTitle.setText(getIntent().getStringExtra("title"));
        }

        FragmentManager manager = getSupportFragmentManager();
        FragmentTransaction transaction = manager.beginTransaction();
        transaction.replace(R.id.container, chatFragment);
        transaction.commitAllowingStateLoss();
    }

    @Override
    protected void initData() {

    }

    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.toolbar_back) {
            onBackPressed();
        }
    }
}