package com.aicc.livechat_sdk_flutter.channel;

import android.content.Context;

import com.aicc.livechat_sdk_flutter.listener.TEventChannelListener;
import com.aicc.livechat_sdk_flutter.listener.TListenerManager;
import com.tinet.timclientlib.utils.TLogUtils;

import java.util.HashMap;
import java.util.Map;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.EventChannel;

/**
 * @ProjectName: android
 * @ClassName: CustomEventChannel
 * @Author: zhangping
 * @CreateDate: 2023/3/9 15:17
 * @Description: 自定义EventChannel类
 */
public class CustomEventChannel extends TEventChannelListener implements EventChannel.StreamHandler {

    private Context mContext;
    EventChannel.EventSink mEvents;

    public CustomEventChannel(FlutterPlugin.FlutterPluginBinding flutterPluginBinding) {
        mContext = flutterPluginBinding.getApplicationContext();
        TListenerManager.getInstance().setTEventChannelListener(this);
        TLogUtils.i("CustomEventChannel:");
    }

    @Override
    public void onListen(Object arguments, EventChannel.EventSink events) {
        TLogUtils.i("onListen:");
        this.mEvents = events;
    }

    @Override
    public void onCancel(Object arguments) {
        TListenerManager.getInstance().removeTEventChannelListener();
    }

    @Override
    public void onEvent(String eventName, String eventContent) {
        TLogUtils.i("onEvent:" + eventName + "    " + mEvents);
        if (mEvents != null) {
            Map<String, Object> eventMap = new HashMap<>();
            eventMap.put("eventName", eventName);
            eventMap.put("eventContent", eventContent);
            mEvents.success(eventMap);
        }
    }
}
