import 'dart:io';

import 'package:flutter/material.dart';

import 'package:flutter/services.dart';

import 'config/config.dart';
import 'config/routers.dart';

void main() {
  if (Platform.isAndroid) {
    //设置Android头部的状态栏透明，字体颜色为黑色
    SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle(
        statusBarColor: Colors.transparent,
        statusBarIconBrightness: Brightness.dark));
  }
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
          primaryColor: Config.primaryColor,
          buttonTheme: const ButtonThemeData(
              buttonColor: Config.primaryColor,
              textTheme: ButtonTextTheme.normal)),
      routes: Routers.getRouters,
      initialRoute: Routers.home,
    );
  }

}
