import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

import '../config/config.dart';

class WebViewPage extends StatefulWidget {
  const WebViewPage({super.key});

  @override
  State<WebViewPage> createState() => _WebViewPageState();
}

class _WebViewPageState extends State<WebViewPage> {
  WebViewController controller = WebViewController()
    ..setJavaScriptMode(JavaScriptMode.unrestricted)
    ..setBackgroundColor(const Color(0x00000000))
    ..setNavigationDelegate(
      NavigationDelegate(
        onProgress: (int progress) {
          // Update loading bar.
        },
        onPageStarted: (String url) {},
        onPageFinished: (String url) {},
        onWebResourceError: (WebResourceError error) {},
        onNavigationRequest: (NavigationRequest request) {
          return NavigationDecision.navigate;
        },
      ),
    )
    ..loadRequest(Uri.parse(Config.integrationDocumentUrl));

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          SizedBox(
            height: 24,
          ),
          Container(
            height: 44,
            child: Stack(
              children: [
                Container(
                  child: GestureDetector(
                    child: Padding(
                      padding: EdgeInsets.only(left: 16,top: 10,bottom: 10,right: 16),
                      child: Image.asset(
                        'images/left_back.png',
                        height: 24.0,
                        width: 24.0,
                      ),
                    ),
                    onTap: () {
                      Navigator.pop(context);
                    },
                  ),
                ),
                Center(
                  child: Text('集成文档',style: TextStyle(fontSize: 16),),
                ),
              ],
            ),
          ),
          Expanded(
            flex: 1,
            child: WebViewWidget(controller: controller),
          )
        ],
      ),
    );
  }
}
